Bug 218484 - net/ceph-devel: Compiler issues will not allow compilation on 10.x
Summary: net/ceph-devel: Compiler issues will not allow compilation on 10.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Mahdi Mokhtari
URL: https://reviews.freebsd.org/D10319
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-08 13:00 UTC by Willem Jan Withagen
Modified: 2017-04-17 15:05 UTC (History)
1 user (show)

See Also:


Attachments
A diff adding OS-version compatability (431 bytes, text/plain)
2017-04-08 13:00 UTC, Willem Jan Withagen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willem Jan Withagen 2017-04-08 13:00:00 UTC
Created attachment 181589 [details]
A diff adding OS-version compatability

Some of the infrastructure in Clang will block compilation.
I think the port will require atleast Clang 3.7
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-04-08 14:18:29 UTC
Took :)
Comment 2 commit-hook freebsd_committer 2017-04-09 14:48:07 UTC
A commit references this bug:

Author: mmokhi
Date: Sun Apr  9 14:47:16 UTC 2017
New revision: 438104
URL: https://svnweb.freebsd.org/changeset/ports/438104

Log:
  Mark port as unbuildable for FreeBSD 10.X

  PR:		218484
  Reported by:	Willem Jan Withagen <wjw@digiware.nl> (maintainer)
  Reviewed by:	mat (mentor)
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10319

Changes:
  head/net/ceph-devel/Makefile
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-04-09 14:52:43 UTC
Committed.
Thanks :-)
Comment 4 commit-hook freebsd_committer 2017-04-17 15:05:49 UTC
A commit references this bug:

Author: mmokhi
Date: Mon Apr 17 15:05:02 UTC 2017
New revision: 438700
URL: https://svnweb.freebsd.org/changeset/ports/438700

Log:
  MFH: r438104

  Mark port as unbuildable for FreeBSD 10.X

  PR:		218484
  Approved by:	feld (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10319

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/net/ceph-devel/Makefile